var KEY_SEPARATOR      = ",";

/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID,     COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR);
	// 項目長設定
	setMaxLength(PRM_TXT_APPROVAL_COMMENT	, LEN_COMMENT);
	// フォーカス設定(EDITの場合)
	setFocus(PRM_TXT_APPROVAL_COMMENT);
	// 承認ボタン利用可否
	if (APPROVAL == 0) {
		setVisibility("btnApproved", false);
		setWidth("btnApproved", 0);
		setVisibility("btnReturned", false);
		setWidth("btnReturned", 0);
	}
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm, cmd) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		if (cmd == "K2117") { 
			doSubmitMessage(objForm, 'K2117', 'QC2020', "");
		} else if (cmd == "K2119") {
			doSubmitMessage(objForm, 'K2119', 'QC2021', "");
		}
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);

	// 入力チェック
	var aryMessage = new Array();
	
	checkRequired(PRM_TXT_APPROVAL_COMMENT	, NAM_APPROVAL_COMMENT	, aryMessage);
	
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
